public static interface Sqs2EndpointBuilderFactory.Sqs2Builders
| Modifier and Type | Method and Description |
|---|---|
default Sqs2EndpointBuilderFactory.Sqs2EndpointBuilder |
aws2Sqs(String path)
AWS Simple Queue Service (SQS) (camel-aws2-sqs)
Sending and receive messages to/from AWS SQS service using AWS SDK
version 2.x.
|
default Sqs2EndpointBuilderFactory.Sqs2EndpointBuilder |
aws2Sqs(String componentName,
String path)
AWS Simple Queue Service (SQS) (camel-aws2-sqs)
Sending and receive messages to/from AWS SQS service using AWS SDK
version 2.x.
|
default Sqs2EndpointBuilderFactory.Sqs2EndpointBuilder aws2Sqs(String path)
aws2-sqs:queueNameOrArn
Path parameter: queueNameOrArn (required)
Queue name or ARNpath - queueNameOrArndefault Sqs2EndpointBuilderFactory.Sqs2EndpointBuilder aws2Sqs(String componentName, String path)
aws2-sqs:queueNameOrArn
Path parameter: queueNameOrArn (required)
Queue name or ARNcomponentName - to use a custom component name for the endpoint
instead of the default namepath - queueNameOrArnApache Camel